# Installation
> `npm install --save @types/jquery-alertable`

# Summary
This package contains type definitions for jquery-alertable (https://github.com/claviska/jquery-alertable).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-alertable.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/jquery-alertable/index.d.ts)
````ts
// Type definitions for jquery-alertable 1.0.2
// Project: https://github.com/claviska/jquery-alertable
// Definitions by: Steven Robertson <https://github.com/stever>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 2.3

/// <reference types="jquery"/>

interface JQueryStatic {
    alertable: Alertable;
}

interface Alertable {
    alert(message: string, options?: AlertableOptions): JQueryPromise<void>;
    confirm(message: string, options?: AlertableOptions): JQueryPromise<void>;
    prompt(message: string, options?: AlertableOptions): JQueryPromise<void>;
    defaults: AlertableOptions;
}

interface AlertableOptions {
    container?: string | undefined;
    html?: boolean | undefined;
    cancelButton?: string | undefined;
    okButton?: string | undefined;
    overlay?: string | undefined;
    prompt?: string | undefined;
    modal?: string | undefined;
    hide?: Function | undefined;
    show?: Function | undefined;
}

````

### Additional Details
 * Last updated: Thu, 08 Jul 2021 14:23:38 GMT
 * Dependencies: [@types/jquery](https://npmjs.com/package/@types/jquery)
 * Global values: none

# Credits
These definitions were written by [Steven Robertson](https://github.com/stever).
